body {
    overflow: auto;
    margin: 0px;
}

.column-4 {
    width: 600px;
    margin-left: 10px;
    float: center;
}

/*defined column sizes */

.column-1,
.column-2,
.column-3,
.column-4 {
    margin-left: 10px;
    float: left;
    padding: 2px 0px 2px 0px;
}

.column-4 {
    width: 320px;
}

.column-3 {
    width: 235px;
}

.column-2 {
    -width: 150px;
}

.column-1 {
    width: 65px;
}

/* empty space before the column */

.before-1,
.before-2,
.before-3 {
    float: left;
}

.before-1 {
    margin-left: 165px;
}

.before-2 {
    margin-left: 320px;
}

.before-3 {
    margin-left: 475px;
}


.content-block {
    -padding: 5px 0px;
    float: left;
    overflow: auto;
    -margin: 0px 10px;
    
}

.s4, .s3, .s2 {
    float: left;
}

.s4 .c1 {
    width: 100%;
}
.s4 .c2 {
    -width: 160px;
}
.s3 .c1 {
    width: 215px;
}
.s3 .c2 {
    width: 97.5px;
}
.s2 .c1 {
    width: 130px;
}
.s2 .c2 {
    width: 55px;
}
.s1 .c1 {
    width: 45px;
}

.section {
    margin: 0% auto;
    padding: 0% 0%;
    overflow: auto;
    width: 100%;
}
.section.no-overflow {
    overflow:hidden;
}
.full-section {
    margin: 0;
    width: 100%;
    overflow: auto;
}
.full-section.wings {
    margin: 0px 4%;
    width: calc(100% - 8%);
}


/* s(x) is the size of the block that is being inserted into the code */

.block {
    display: inline-block;
    overflow: auto;
    float: left;
    margin-left: 4%;
    margin-right: 4%;
    padding: 0% 0%;
    min-height: 1%;    
}

.overflow-visible.section,
.overflow-visible.row,
.overflow-visible .row,
.overflow-visible.block,
.overflow-visible .block,
.overflow-visible .content-block {
    overflow: visible;
}
.overflow-hidden.section,
.overflow-hidden.row,
.overflow-hidden .row,
.overflow-hidden.block,
.overflow-hidden .block,
.overflow-hidden .content-block {
    overflow: hidden;
}



.block.s1 {
    width: 17%;
}
.block.s2 {
    width: 40%;
}
.block.s3 {
    width: 67%;
}
.block.s4 {
    width: 92%;
}

.row {
    clear: both;
    overflow: hidden;
}


.clear:before,
.clear:after {
	content:"";
	display: table;
}
.clear:after {
	clear:both; 
}
.clear {
	zoom: 1 /* For IE 6/7 (trigger hasLayout */
}